Advertisement:

Author Topic: errore su aggiornamento a 2.7  (Read 3807 times)

Offline ivanom.

  • Full Member
  • ***
  • Posts: 436
errore su aggiornamento a 2.7
« on: January 31, 2014, 08:18:52 AM »
ciao, ho provato ad aggiornare a 2.7 da admin ma mi dà errore     ./Sources/News.php    Test fallito
io uso duvvar theme non so se c'entra qualcosa...

Offline emanuele

  • SMF Super Hero
  • *******
  • Posts: 14,156
  • Gender: Male
  • THERE'S JUST ME
Re: errore su aggiornamento a 2.7
« Reply #1 on: February 01, 2014, 03:46:43 AM »


Take a peek at what I'm doing! ;D



Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Offline ivanom.

  • Full Member
  • ***
  • Posts: 436
Re: errore su aggiornamento a 2.7
« Reply #2 on: February 01, 2014, 05:42:17 AM »
le mod http://imageshack.com/a/img594/4890/rjcn.jpg
ma non mi vorrai mica dire che devo fare tutte quelle modifiche manualmente a tutti quei file? Dovrei farlo solo al ./Sources/News.php cioè, quello in cui midà test fallito giusto?

Offline emanuele

  • SMF Super Hero
  • *******
  • Posts: 14,156
  • Gender: Male
  • THERE'S JUST ME
Re: errore su aggiornamento a 2.7
« Reply #3 on: February 01, 2014, 06:05:25 PM »
E' tutto scritto nel link che ho postato ("la risposta").


Take a peek at what I'm doing! ;D



Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Offline ivanom.

  • Full Member
  • ***
  • Posts: 436
Re: errore su aggiornamento a 2.7
« Reply #4 on: February 02, 2014, 07:11:53 AM »
oddio! significa fare tutto a mano mi ci vorrebbero ore...ma dalle mod che ti ho fatto vedere hai idea di quale potrebbe essere quella che causa il "conflitto<" così la disattivo e faccio l'aggiornamento? oppure mi puoi indicare un metodo per individuarla? grazie in anticipo.

un'altra domanda: io ho questa schermata quando faccio l'aggiornamento, l'unico errrore è come dicevo nel file news....  questa è la schermata http://imageshack.com/a/img585/9995/pqlp.jpg 
domanda: cliccando su "sostitiuisci " su uno dei due non risolvo la situazione?

Offline emanuele

  • SMF Super Hero
  • *******
  • Posts: 14,156
  • Gender: Male
  • THERE'S JUST ME
Re: errore su aggiornamento a 2.7
« Reply #5 on: February 04, 2014, 03:50:13 PM »
Se ti fermi alla seconda riga della paginata che ho scritto significa fare tutto a mano, se leggi fino in fondo no (al momento sono piuttosto tirato coi tempi, quindi accontentarsi di quel che pass il convento).


Take a peek at what I'm doing! ;D



Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Offline ivanom.

  • Full Member
  • ***
  • Posts: 436
Re: errore su aggiornamento a 2.7
« Reply #6 on: February 05, 2014, 07:58:33 AM »
ok grazie cmq per la disponibvilità.
Allora ho fatto così: nel file sources/news.php c'erano un pezzo che la mod non trovava ovvero
Code: [Select]
$val = preg_replace('/^' . preg_quote($scripturl, '/') . '\?((?:board|topic)=[^#"]+)(#[^"]*)?$/e', '\'\' . $scripturl . \'/\' . strtr(\'$1\', \'&;=\', \'//,\') . \'.html$2\'', $val);
return $val;
perchè io nel mio file avevo
Code: [Select]
$val = preg_replace('/^' . preg_quote($scripturl, '/') . '\?((?:board|topic)=[^#"]+)(#[^"]*)?$/e', '\'\' . $scripturl . \'/\' . strtr(\'$1\', \'&;=\', \'//,\') . \'.html$2\'', $val); ***/
return $val;
quindi questo pezzetto
Code: [Select]
***/ ostacolava la modifica. L'ho temporaneamente tolto e sono riuscito quindi ad installare la mod 2.0.7.
Ora mi rimane il dubbio di questo pezzettino se possa avere una funzione e se sì in quale area del forum, perchè ho visto che il forum funziona correttamente.
Mi sapresti dire che cosa potrebbe essere questo pezzettino, ha un valore in termini di codice?
Grazie :)

Offline emanuele

  • SMF Super Hero
  • *******
  • Posts: 14,156
  • Gender: Male
  • THERE'S JUST ME
Re: errore su aggiornamento a 2.7
« Reply #7 on: February 05, 2014, 03:14:18 PM »
Quel pezzo è la chiusura di un commento, quindi quel codice era stato rimosso da un mod, quindi se non l'hai rimesso a posto il file è "rotto", se invece l'hai rimesso a posto il fix potrebbe non aver avuto effetto.... prova ad allegaer il file così come lo stai usando.


Take a peek at what I'm doing! ;D



Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Offline ivanom.

  • Full Member
  • ***
  • Posts: 436
Re: errore su aggiornamento a 2.7
« Reply #8 on: February 06, 2014, 04:25:24 AM »
ok

Offline emanuele

  • SMF Super Hero
  • *******
  • Posts: 14,156
  • Gender: Male
  • THERE'S JUST ME
Re: errore su aggiornamento a 2.7
« Reply #9 on: February 08, 2014, 08:00:08 AM »
Immagino tu non abbia mandato newsletter o simili...
Rimpiazzalo quello allegato.


Take a peek at what I'm doing! ;D



Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Offline ivanom.

  • Full Member
  • ***
  • Posts: 436
Re: errore su aggiornamento a 2.7
« Reply #10 on: February 08, 2014, 11:24:59 AM »
Immagino tu non abbia mandato newsletter o simili...

se intendi dopo l'aggiornamento: sì. Le newsletter arrivano (almeno quelle che ho provato verso l'admin)
che faccio lo sostistuisco comunque con quello aggiustayo che mi hai postato?

Offline emanuele

  • SMF Super Hero
  • *******
  • Posts: 14,156
  • Gender: Male
  • THERE'S JUST ME
Re: errore su aggiornamento a 2.7
« Reply #11 on: February 08, 2014, 11:54:12 AM »
Quello cha hai postato ha parecchio codice commentato via, quindi non può funzionare correttamente, non sono entrato nei dettagli di cosa faccia il codice rimosso, ma dato che tra l'altro "connette" diverse funzioni, il file non può funzionare come dovrebbe, se funziona quello che hai usato sei stato fortunato.
Fai tu, se vuoi sperare che la fortuna guidi il tuo forum lascia quello che hai, se vuoi essere sicuro che il focum funzioni come dovrebbe usa quello che ho allegato.
Tieni presente che ho ripristinato il codice che era stato commentato, onestamente non so il motivo per cui era stato rimosso, ma mi sembra anche un fatto piuttosto strano che sia stato rimosso proprio quel pezzo. Nel caso di problemi, piuttosto che cancellare codice "a caso", è meglio capire quale sia il problema e risolverlo.


Take a peek at what I'm doing! ;D



Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Offline ivanom.

  • Full Member
  • ***
  • Posts: 436
Re: errore su aggiornamento a 2.7
« Reply #12 on: February 08, 2014, 12:15:06 PM »
fatto! grazie per il lavoro che fai per noi....non è la prima volta e non capita in molti forum credo. gentilissimo :)

Offline ivanom.

  • Full Member
  • ***
  • Posts: 436
Re: errore su aggiornamento a 2.7
« Reply #13 on: March 10, 2014, 08:39:48 AM »
riapro perchè mi pare che il problema ci sia ancora, cioè non sono sicuro che i messaggi privati arrivino. praticmanete da admin ad admin arrivano; da utente ad admin arrivano però non sono sicuro che arrivino agli utenti standar e moderatori. Infatti ho usato un profilo inventato per testare e pare che non arrivino. Esiste un metodo per verificare che le mail e gli mp arrivino a destinaziuone? Ultimamente ho inviato diversi mp e mail ma non ho avuto risposte e quindi ho questo dubbio...

non so se può essere utile, ho recuperato un vecchio file news di un backup e conteneva
Code: [Select]
/*** if (empty($modSettings['queryless_urls']) || ($context['server']['is_cgi'] && @ini_get('cgi.fix_pathinfo') == 0 && @get_cfg_var('cgi.fix_pathinfo') == 0) || (!$context['server']['is_apache'] && !$context['server']['is_lighttpd']))
return $val;

$val = preg_replace('/^' . preg_quote($scripturl, '/') . '\?((?:board|topic)=[^#"]+)(#[^"]*)?$/e', '\'\' . $scripturl . \'/\' . strtr(\'$1\', \'&;=\', \'//,\') . \'.html$2\'', $val); ***/
return $val;
}

Offline emanuele

  • SMF Super Hero
  • *******
  • Posts: 14,156
  • Gender: Male
  • THERE'S JUST ME
Re: errore su aggiornamento a 2.7
« Reply #14 on: March 13, 2014, 05:07:02 AM »
Esiste un metodo per verificare che le mail e gli mp arrivino a destinaziuone?
Quello più vecchio del mondo: chiedere ai tuoi utenti in un topic. ;)

Sei sicuro al 100% sia iniziato con l'aggiornamento? Da come ne parli pare tu non sia sicuro nemmeno adesso se le mail arrivano o no, quindi potrebbe anche essere che il problema c'era anche prima, ma non l'hai mai notato.
Sei sicuro, di non avere limiti al numero di mail che puoi inviare in un ora? (Sparo a caso per eliminare possibilità.)


Take a peek at what I'm doing! ;D



Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Offline ivanom.

  • Full Member
  • ***
  • Posts: 436
Re: errore su aggiornamento a 2.7
« Reply #15 on: March 14, 2014, 02:05:11 AM »
ok, tutto a posto ho fatto dei controlli, grazie!

Offline raffomix

  • Semi-Newbie
  • *
  • Posts: 17
Re: errore su aggiornamento a 2.7
« Reply #16 on: December 03, 2014, 04:19:03 AM »
ciao e scusate innanzitutto il disturbo!
cerco spesso di risolvere da solo le problematiche che mi si presentano leggendo i commenti nei vari topic che trattano man mano le argomentazioni che mi interessano e devo dire che fra alti e bassi, problemi piccoli e problemi grandi, sono ormai ben sette anni che gestisco un forum che inizialmente camminò per diversi anni con la 1.1.ecc e che da un annetto fila liscio avendo aggiornato il tutto al 2.0.ecc
sono riuscito bene o male a fare funzionare buona parte di tutte le mod che ho sempre utilizzato avendo ben capito (grazie al supporto di emanuele e darknico che si sbattono da anni per aiutare noi tutti) dove andare ad operare manualmente di volta in volta.
Adesso ho un problema dal quale non riesco a venirne a capo, ovvero l'aggiornamento da 2.0.6 a 2.0.7 (e ovviamente sono rimasto parecchio indietro essendo nel frattempo usciti altri aggiornamenti...)
in qualsiasi modo opero, dopo che il pacchetto 2.0.7 Update rileva in fase di installazione tre errori sul Themes.template ed uno sul Subs-Editor, a files modificati manualmente nel pannello admin il pacchetto risulta perfettamente installato ma mi sparisce l'index....
ovvero, il browser (sia esso Chrome, Firefox, Opera o IE) mi rimanda ad una pagina assolutamente bianca
Comincio seriamente a preoccuparmi di non riuscire a stare al passo con i futuri aggiornamenti...
avete qualche consiglio?
tranquilli che aspetto  ;)

Offline Darknico

  • Local Moderator
  • SMF Hero
  • *
  • Posts: 1,671
  • Gender: Male
  • Italian Moderator
    • Darknico on GitHub
    • Darknico.com
Re: errore su aggiornamento a 2.7
« Reply #17 on: December 03, 2014, 10:26:36 AM »
Postare su un topic vecchio non è mai una bella cosa, meglio sempre aprire un proprio toic...
Italian SMF - Supporto Italiano per la board SMF - Ci trovate tutti li!! :)